Routes
Get the statuses of multiple cancellations
GEThttps://api.insurely.com/cancellations
Returns the statuses of multiple initiated insurance cancellations. This endpoint is paginated and returns a list of statuses based on the selected sort order(default CREATED_AT_DESC), of which the possible values are: CREATED_AT_ASC, CREATED_AT_DESC, UPDATED_AT_ASC, UPDATED_AT_DESC. The default page size is 50 and it can be overriddenusing the 'pageSize' query parameter, up to a max value of 200. The response contains links to both the previous and next pages.
Request
Query Parameters
statusInArray<string>
Possible Enum values are
PREPARATION, CREATED, PENDING, CLOSED, CANCELED, TIMED_OUT, REJECTED or DOCUMENT_ERROR.collectionIdsArray<string>
createdAfterstring[date-time]
createdBeforestring[date-time]
updatedAfterstring[date-time]
updatedBeforestring[date-time]
isSignedboolean
pageSizeinteger[int32]
sortBystring
Possible Enum values are
CREATED_AT_ASC, CREATED_AT_DESC, UPDATED_AT_ASC or UPDATED_AT_DESC.Responses
Statuses successfully fetched.
Body
cancellationsArray<CancellationStatusResponse>
A list of the cancellation statuses.
pagingMetadataPagingMetadata
Metadata describing the paging information.
sortingMetadataSortingMetadataCancellationsSortOrder
Metadata describing the request sort order.
cURL
curl https://api.insurely.com/cancellations?statusIn=your-value&collectionIds=your-value&createdAfter=your-value&createdBefore=your-value&updatedAfter=your-value&updatedBefore=your-value&isSigned=your-value&pageSize=your-value&sortBy=CREATED_AT_ASC